import LocationManager from '@/domain/models/LocationManager.js'
import {LOCATION_COLLECTION, LOCATION} from "../../../mock/deviceState/LocationManagerMock"
import {CABINET_COLLECTION, LOCATION_CABINET} from "../../../mock/deviceState/CabinetManagerMock"

describe('LocationManager', () => {
  it("should findCabinetLocation", () => {
    let cabinetCollection = CABINET_COLLECTION
    let locationCollection = LOCATION_COLLECTION

    let location = LOCATION

    let locationMgr = LocationManager(locationCollection)
    let locationResult = locationMgr.findCabinetLocation("15465696295720004", cabinetCollection, locationCollection)

    expect(locationResult).to.eql(location["15465694305390000"])
  })
})
